Set Sponsor Logo
Authorization
bearerAuth AuthorizationBearer <token>
A key in the form pepvote_api_ followed by 32 hexadecimal characters.
In: header
Header Parameters
User-Agentstringrequired
Name and version of the calling integration. Required on every request.
Path Parameters
idOrCodestringrequired
Voting event ID or code.
idstringrequired
ID of the record.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
storageIdstringrequired
Storage ID returned by POST /uploads.
- Length:
at least 1 character
Response Body
application/json
curl -X PUT "https://example.com/voting-events/string/sponsors/string/logo" \ -H "User-Agent: my-app/1.0" \ -H "Content-Type: application/json" \ -d '{ "storageId": "string" }'{
"data": {
"id": "string",
"votingEventId": "string",
"name": "string",
"info": "string",
"contactEmail": "string",
"pinnedSponsorNumber": 0,
"logoUrl": "string",
"createdAt": 0
}
}Was this helpful?
Last updated September 6, 2026